#include <windows.h>
#include <io.h>
#include <string.h>

// --------------------------------------------------------- GLOBAL VARIABLES
char curDir[256];	    // current directory (should be CDROM)

// ----------------------------------------------------- PRE-INITIALIZED DATA

// --------------------------------------------------------------------- CODE

//
// WinMain
//	The "starting point" for a Windows program.
//
int PASCAL
WinMain(HINSTANCE hInst, HINSTANCE, LPSTR, int)
{
long hSearch;		    // search handle
_finddata_t fileinfo;	    // information about matching file
char filename[80];	    // name of file to execute
time_t fileTime;	    // date of file

    // create a drive-designator string for the current path (CD-ROM)
    GetCurrentDirectory(256, curDir);
    curDir[3] = 0;			// just the drive designation & slash
    lstrcat(curDir, "gamefilm\\\0");
    SetCurrentDirectory(curDir);

    // find the latest EXE in that directory
    hSearch = _findfirst("DEMO*.EXE", &fileinfo);
    if (hSearch != -1) {
	// reset the time comparitor
	fileTime = (time_t) 0;

	// find the last one written
	do {
	    // is this a newer executable?
	    if (fileinfo.time_write > fileTime) {
		// is this us, perchance?
		_strupr(fileinfo.name);
		if (strstr(fileinfo.name, "AUTORUN") == NULL) {
		    // a valid executable! copy this one down
		    fileTime = fileinfo.time_write;
		    lstrcpy(filename, fileinfo.name);
		}
	    }
	} while (_findnext(hSearch, &fileinfo) == 0);

	// 3 - 2 - 1 - 0 - LAUNCH THAT EXE!
	WinExec(filename, SW_SHOW);
    }

    // sayonara, baby
    return 0;
}

