.AUTODEPEND

#		*Translator Definitions*
CC = bcc +CSX.CFG
TASM = TASM
TLIB = tlib
TLINK = tlink
LIBPATH = D:\BORLANDC\LIB
INCLUDEPATH = D:\BORLANDC\INCLUDE


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
 aperr.obj \
 preemph.obj \
 filter3.obj \
 filter1.obj \
 header.obj \
 maxvalue.obj \
 maxbits.obj \
 fileio.obj \
 pack.obj \
 apdith.obj \
 filter2.obj \
 main.obj

#		*Explicit Rules*
csx.exe: csx.cfg $(EXE_dependencies)
  $(TLINK) /v/x/c/P-/L$(LIBPATH) @&&|
c0l.obj+
aperr.obj+
preemph.obj+
filter3.obj+
filter1.obj+
header.obj+
maxvalue.obj+
maxbits.obj+
fileio.obj+
pack.obj+
apdith.obj+
filter2.obj+
main.obj
csx
		# no map file
graphics.lib+
emu.lib+
mathl.lib+
cl.lib
|


#		*Individual File Dependencies*
aperr.obj: csx.cfg aperr.c 

preemph.obj: csx.cfg preemph.c 

filter3.obj: csx.cfg filter3.c 

filter1.obj: csx.cfg filter1.c 

header.obj: csx.cfg header.c 

maxvalue.obj: csx.cfg maxvalue.c 

maxbits.obj: csx.cfg maxbits.c 

fileio.obj: csx.cfg fileio.c 

pack.obj: csx.cfg pack.c 

apdith.obj: csx.cfg apdith.c 

filter2.obj: csx.cfg filter2.c 

main.obj: csx.cfg main.c 

#		*Compiler Configuration File*
csx.cfg: csx.mak
  copy &&|
-ml
-v
-vi-
-w-ret
-w-nci
-w-inl
-wpin
-wamb
-wamp
-w-par
-wasm
-wcln
-w-cpt
-wdef
-w-dup
-w-pia
-wsig
-wnod
-w-ill
-w-sus
-wstv
-wucp
-wuse
-w-ext
-w-ias
-w-ibc
-w-pre
-w-nst
-I$(INCLUDEPATH)
-L$(LIBPATH)
| csx.cfg


