; =========================================================               
; CSXMOVE.DAS: This file contains the function that moves
; long words from one long word buffer both of the output
; audio buffers. This is to be used for mono mode, where
; the output buffers need the same information.
; Both output head ptrs are incremented.
;	CA1 contains the "from" buffer address
;	CA2 contains the number of elements to move
;	both of these registers are trashed by the function
; =========================================================
; Copyright, 1995 Atari Corporation.
; Written for Atari by Highlight Software Solutions.
; =========================================================
; It is included in csxentry.das
; RETADD contains the return address.
; =========================================================
; Registers Used


CSXMove:

; DEBUGGING PRINT
movei	#$cccccccc,CX9
movei	#CSXDEBUG7, CX8
store	CX9, (CX8)

	subq	#1, CA2
mvloop:
	load	(CA1), CX1
	store	CX1, (AOUT_LHEAD)
	store	CX1, (AOUT_RHEAD)
	addqmod	#4, AOUT_LHEAD
	addqmod	#4, AOUT_RHEAD
	addq	#4, CA1
	subq	#1, CA2
	jr	pl,mvloop
	nop

	jump	T, (RETADD)		; return to calling spot
	nop
	nop

