#include "fwl5.h"
#include "navcontr.h"
#include "cdstate.h"
#include "gamewin.h"
#include "resource.h"
#include "cdbox.h"

void FBCPrintf(const FontBits& f, const CPoint c, const CDC& dc, char* format, ...);

void CDState::MouseDown(const CPoint& place, int flags)
{
  //controller->CDInserted();
}

void CDState::Idle()
{
  Window* window=controller->window;
  FontBits& font=controller->font;
  if (stime==0)
  {
    stime = GetTickCount();
    CWindowDC dc(window);
    CRect cr = window->GetInnerRect();
    dc.PatBlt(cr, BLACKNESS);
    window->UpdateAll();
    if (controller->PromptForCD(target))
    {
      controller->CDInserted(target);
    }
    else
    {
      controller->window->Close();
    }
    return;
  }
}
char* text[] =
{
  "Let's go out to the kitchen"
    , "And have a snack!"
    , "Change the CD Now!"
    , ""
, 0
};

void CDState::OnPaint(const CDC& dc, const CRect& r)
{
  Window* window=controller->window;
  FontBits& font=controller->font;
  CRect cr = window->GetInnerRect();
  font->SetColor(FONT_WHITE);
  CPoint tpos(160,30);
  int ph = 210;
  if (cr.GetHeight() > 300)
  {
    tpos.x = 320;
    ph = 420;
    font->SetZoom(2);
  }
  int lc=0;
  char** credit = text;
  while (credit[0][0] != 0)
  {
    credit++;
    lc++;
  }
  int dy=font->GetHeight()+2;
  tpos.y = (ph-(dy*lc))/2;

  credit = text;
  while (credit[0][0] != 0)
  {
    char* text = credit[0];
    FBCPrintf(font, tpos, dc, credit[0]);
    tpos.y += dy;
    credit++;
  }
  GdiFlush();
}
