#ifndef __CDSTATE_H
#define __CDSTATE_H
#include "navconst.h"

class CDState : public NavConState
{
public:
  CDState(NavController* ct, int nw) : NavConState(ct) , target(nw), stime(0){}
  virtual ~CDState() {}
  virtual void MouseDown(const CPoint& place, int flags);
  virtual void Idle();
  virtual void OnPaint(const CDC& dc, const CRect& r);
private:
  int stime;
  int target;
};
#endif