#ifndef __FBUTTON_H
#define __FBUTTON_H
#include "wave2.h"
#include "control.h"
class FunkyButton : public Control
{
public:
	void SetBkgnd(const HBITMAP& bk);
  FunkyButton(BaseWin* par,const CPoint& where,int id, int idx, int acc);
  ~FunkyButton();
  virtual void DrawItem(CDC dc, int state, const CRect& drawRect);
  static LRESULT CALLBACK SubclassProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
private:
	void PokeCommand();
	void MakeNoise(const char* name);
	void MakeNoiseWait(const char* name);
	HBITMAP hbmpBk;
	CRect ttlArea;
	CRect area[3];
   HBITMAP bmps[3];
  SoundBite snd;
  WNDPROC savedProc;
};

#endif