#include "basewin.h"
class CPropertyPage;
#include <prsht.h>
class CPropertySheet : public BaseWin
{
public:
	virtual ~CPropertySheet();
	void Add(const CPropertyPage& p);
	static int CALLBACK callback(HWND,UINT,LONG);
  CPropertySheet(BaseWin* par, const char* title, const char* icon=0);
  CPropertySheet(BaseWin* par, const char* title, int icon);
  int RunModal(int firstPage=0);
  void Select(const CPropertyPage& p); // uses psm_setcursel to select.
  BOOL Apply(); // uses psm_apply to apply changes.
  BOOL CancelToClose(); // uses psm_canceltoclose
  void Changed(const CPropertyPage& p); // uses psm_changed to enable apply button.
  BaseWin* GetTabControl(); // uses psm_gettabcontrol
  void SetSheetTitle(const string& t, BOOL prefixed=FALSE);
  void Unchanged(const CPropertyPage& p); // uses psm_unchanged
  virtual void Initialize() {}
private:
  void Setup(BaseWin* par, const char* title, const char* icon=0);
  PROPSHEETHEADER rep;
};
