#ifndef __VOXOVER_H
#define __VOXOVER_H

class Scheduler;
class Film;
class FileManager;
struct CPNode;
struct CPSegment;//#include "cpnodes.h"
class ClipContext;
#include "wave2.h"

class VoiceOverManager
{
public:
  VoiceOverManager()
    : disabledBranches(0)
  {
  }
  ~VoiceOverManager() {}
  void EnableAllBranches();
  void DisableBranch(int branch);
  void SetClip(Film*){}       // f) { clip = f; }
  void SetNode(CPNode*){}     // n) { node = n; }
  void Manage();
  void SetupFiles();
  void NotifyOff();
  void NotifyOn(const ClipContext& context);
private:
  int disabledBranches;
  SoundBite vox;
};
#endif